Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl
Class TypedefImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EClassifierImpl
                                  org.eclipse.emf.ecore.impl.EClassImpl
                                      org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl.TypedefImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EClass, org.eclipse.emf.ecore.EClassifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.impl.ESuperAdapter.Holder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EClassifierExtendedMetaData.Holder, Typedef

    public class TypedefImpl

extends org.eclipse.emf.ecore.impl.EClassImpl
implements Typedef

An implementation of the model object 'Typedef'.

The following features are implemented:

- `Base`
- `Condition`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.EClassImpl
`org.eclipse.emf.ecore.impl.EClassImpl.FeatureSubsetSupplier`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected org.eclipse.emf.ecore.EClassifier` | `base` The cached value of the '`Base`' reference
`protected org.eclipse.ocl.ecore.OCLExpression` | `condition` The cached value of the '`Condition`' containment reference

Fields inherited from class org.eclipse.emf.ecore.impl.EClassImpl
`ABSTRACT_EDEFAULT, ABSTRACT_EFLAG, eAllAttributes, eAllContainments, eAllGenericSuperTypes, eAllOperations, eAllReferences, eAllStructuralFeatures, eAllStructuralFeaturesData, eAllSuperTypes, eAttributes, eGenericSuperTypes, eIDAttribute, eNameToFeatureMap, eOperations, eReferences, eStructuralFeatures, eSuperAdapter, eSuperTypes, INTERFACE_EDEFAULT, INTERFACE_EFLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.EClassifierImpl
`DEFAULT_VALUE_EDEFAULT, eClassifierExtendedMetaData, eTypeParameters, generatedInstanceClassName, INSTANCE_CLASS_EDEFAULT, INSTANCE_CLASS_NAME_EDEFAULT, instanceClass, instanceClassName, instanceTypeName, metaObjectID`

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` | `TypedefImpl()`

Method Summary
`org.eclipse.emf.ecore.EClassifier` | `basicGetBase()`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetCondition(org.eclipse.ocl.ecore.OCLExpression newCondition, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` | `eStaticClass()`
`void` | `eUnset(int featureID)`
`org.eclipse.emf.ecore.EClassifier` | `getBase()`
`org.eclipse.ocl.ecore.OCLExpression` | `getCondition()`
`void` | `setBase(org.eclipse.emf.ecore.EClassifier newBase)`
`void` | `setCondition(org.eclipse.ocl.ecore.OCLExpression newCondition)`

Methods inherited from class org.eclipse.emf.ecore.impl.EClassImpl
`dynamicIsInstance, eInverseAdd, eObjectForURIFragmentSegment, eSetDeliver, freeze, getEAllAttributes, getEAllContainments, getEAllGenericSuperTypes, getEAllOperations, getEAllReferences, getEAllStructuralFeatures, getEAllStructuralFeaturesData, getEAllSuperTypes, getEAttributes, getEGenericSuperTypes, getEIDAttribute, getEOperations, getEReferences, getEStructuralFeature, getEStructuralFeature, getEStructuralFeatures, getESuperAdapter, getESuperTypes, getFeatureCount, getFeatureID, isAbstract, isFrozen, isInterface, isSetEGenericSuperTypes, isSetESuperTypes, isSuperTypeOf, setAbstract, setInterface, toString, unsetEGenericSuperTypes, unsetESuperTypes`

Methods inherited from class org.eclipse.emf.ecore.impl.EClassifierImpl
`basicGetEPackage, basicSetInstanceClassName, basicSetInstanceTypeName, eBasicRemoveFromContainerFeature, eBasicSetContainer, getClassForName, getClassifierID, getDefaultValue, getEPackage, getEPackageGen, getETypeParameters, getExtendedMetaData, getInstanceClass, getInstanceClassGen, getInstanceClassName, getInstanceClassNameGen, getInstanceTypeName, getPrimitiveOrArrayClass, isInstance, isSetInstanceClassName, isSetInstanceTypeName, setClassifierID, setExtendedMetaData, setGeneratedInstanceClass, setInstanceClass, setInstanceClassGen, setInstanceClassName, setInstanceClassNameGen, setInstanceTypeName, setName, unsetInstanceClassName, unsetInstanceTypeName`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetProxyURI, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EClass
`getEAllAttributes, getEAllContainments, getEAllGenericSuperTypes, getEAllOperations, getEAllReferences, getEAllStructuralFeatures, getEAllSuperTypes, getEAttributes, getEGenericSuperTypes, getEIDAttribute, getEOperations, getEReferences, getEStructuralFeature, getEStructuralFeature, getEStructuralFeatures, getESuperTypes, getFeatureCount, getFeatureID, isAbstract, isInterface, isSuperTypeOf, setAbstract, setInterface`

Methods inherited from interface org.eclipse.emf.ecore.EClassifier
`getClassifierID, getDefaultValue, getEPackage, getETypeParameters, getInstanceClass, getInstanceClassName, getInstanceTypeName, isInstance, setInstanceClass, setInstanceClassName, setInstanceTypeName`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### base

    protected org.eclipse.emf.ecore.EClassifier base

  The cached value of the '`Base`' reference.

  See Also:
    `getBase()`

### condition

    protected org.eclipse.ocl.ecore.OCLExpression condition

  The cached value of the '`Condition`' containment reference.

  See Also:
    `getCondition()`

Constructor Detail

### TypedefImpl

    protected TypedefImpl()

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.emf.ecore.impl.EClassImpl`

### getBase

    public org.eclipse.emf.ecore.EClassifier getBase()

  Specified by:
    `getBase` in interface `Typedef`
  Returns:
    the value of the 'Base' reference.
  See Also:
    `Typedef.setBase(EClassifier)`, `ImperativeOCLPackage.getTypedef_Base()`

### basicGetBase

    public org.eclipse.emf.ecore.EClassifier basicGetBase()

### setBase

    public void setBase(org.eclipse.emf.ecore.EClassifier newBase)

  Specified by:
    `setBase` in interface `Typedef`
  Parameters:
    `newBase` - the new value of the 'Base' reference.
  See Also:
    `Typedef.getBase()`

### getCondition

    public org.eclipse.ocl.ecore.OCLExpression getCondition()

  Specified by:
    `getCondition` in interface `Typedef`
  Returns:
    the value of the 'Condition' containment reference.
  See Also:
    `Typedef.setCondition(OCLExpression)`, `ImperativeOCLPackage.getTypedef_Condition()`

### basicSetCondition

    public org.eclipse.emf.common.notify.NotificationChain basicSetCondition(org.eclipse.ocl.ecore.OCLExpression newCondition,
                                                                             org.eclipse.emf.common.notify.NotificationChain msgs)

### setCondition

    public void setCondition(org.eclipse.ocl.ecore.OCLExpression newCondition)

  Specified by:
    `setCondition` in interface `Typedef`
  Parameters:
    `newCondition` - the new value of the 'Condition' containment reference.
  See Also:
    `Typedef.getCondition()`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.EClassImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.EClassImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.EClassImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.EClassImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.EClassImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2008 Borland Software Corporation and others. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD